<?php defined('_JEXEC') or die( 'Restricted access' );

/**
 * @version 2.0 $Id: view.html.php,v 1.8 2010-02-12 21:12:41 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

jimport( 'joomla.application.component.view');

class LinkDirectory2ViewWeblinks extends JView {
		
	private function displayToolBar() {
		JHTML::_('behavior.tooltip'); 
		JToolBarHelper::title(   JText::_( 'Weblink Manager' ), 'generic.png' );
		JToolBarHelper::publish('publishWebLink');
		JToolBarHelper::unpublish('unpublishWebLink');
		JToolBarHelper::deleteList(null,'removeWebLink');
		JToolBarHelper::editListX('editWebLink');
		JToolBarHelper::addNewX('addWebLink');
	}

	function display($tpl = null) {
		global $option;
		$mainframe = JFactory::getApplication();
		$this->displayToolBar();		
		$filter_state		= $mainframe->getUserStateFromRequest( $option.'links'.'filter_state',		'filter_state',		'',				'word' );
		$filter_catid		= $mainframe->getUserStateFromRequest( $option.'links'.'filter_catid',		'filter_catid',		0,				'int' );
		$filter_order		= $mainframe->getUserStateFromRequest( $option.'links'.'filter_order',		'filter_order',		'a.ordering',	'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'links'.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
		$search				= $mainframe->getUserStateFromRequest( $option.'links'.'search',			'search',			'',				'string' );
		$search				= JString::strtolower( $search );
		
		$items		= & $this->get( 'Data');
		$total		= & $this->get( 'Total');
		$pagination = & $this->get( 'Pagination' );
		$source = JRequest::getString('source','');
		
		$javascript 	= 'onchange="document.adminForm.submit();"';

		require_once JPATH_COMPONENT_ADMINISTRATOR.DS.'classes'.DS.'CategoryHtmlHelper.php';
		$lists['catid'] = CategoryHtmlHelper::getCategoryListAsHtml( 'filter_catid', intval( $filter_catid), $javascript );
		$lists['state']	= JHTML::_('grid.state',  $filter_state );
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$lists['search']= $search;
		
		$this->assignRef('user',		JFactory::getUser());
		$this->assignRef('lists',		$lists);
		$this->assignRef('items',		$items);
		$this->assignRef('pagination',	$pagination);
		$this->assignRef('source',      $source);
		parent::display($tpl);
	}
}